/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { UserMinimalDto } from './user-minimal-dto';

/**
 * Represents an API token used for authentication.
 * @export
 * @interface ApiTokenDto
 */
export interface ApiTokenDto {
    /**
     * The unique identifier of the API token.
     * @type {string}
     * @memberof ApiTokenDto
     */
    'id'?: string;
    /**
     * The name associated with the API token.
     * @type {string}
     * @memberof ApiTokenDto
     */
    'name'?: string;
    /**
     * The date when the API token was created.
     * @type {string}
     * @memberof ApiTokenDto
     */
    'creationDate'?: string;
    /**
     * The expiry date of the API token.
     * @type {string}
     * @memberof ApiTokenDto
     */
    'expiryDate'?: string;
    /**
     * The actual token used for authentication.
     * @type {string}
     * @memberof ApiTokenDto
     */
    'token'?: string | null;
    /**
     * 
     * @type {UserMinimalDto}
     * @memberof ApiTokenDto
     */
    'owner'?: UserMinimalDto;
}

